"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
exports.defaultBaseURL = 'https://dashboard.metacall.io';
exports.login = (email, password, baseURL = exports.defaultBaseURL) => axios_1.default.post(baseURL + '/login', { email, password })
    .then(res => res.data);
exports.validate = (token, baseURL = exports.defaultBaseURL) => axios_1.default(baseURL + '/validate', {
    headers: { Authorization: 'jwt ' + token }
}).then(res => res.data);
exports.signup = (email, password, baseURL = exports.defaultBaseURL) => axios_1.default.post(baseURL + '/signup', { email, password })
    .then(res => res.data);
exports.upload = (token, data, baseURL = exports.defaultBaseURL) => axios_1.default.post(baseURL + '/api/load/package', {
    id: 'poop',
    raw: data.toJSON().data,
    type: 'application/zip'
}, {
    headers: { Authorization: 'jwt ' + token }
}).then(res => res.data);
