"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const path_1 = require("path");
const fs_1 = require("fs");
const ini_1 = require("ini");
const utils_1 = require("./utils");
exports.defaultPath = os_1.platform() === 'win32'
    ? process.env.APPDATA
        ? path_1.join(process.env.APPDATA, 'metacall-upload')
        : utils_1.fatal('Missing APPDATA environment variable! Unable to load config')
    : process.env.HOME
        ? path_1.join(process.env.HOME, '.metacall-upload')
        : utils_1.fatal('Missing HOME environment variable! Unable to load config');
const ensureFolderExists = path => (fs_1.existsSync(path) || fs_1.mkdirSync(path), path);
const loadFile = path => fs_1.existsSync(path)
    ? fs_1.readFileSync(path, 'utf8')
    : '';
exports.load = (path = exports.defaultPath) => ini_1.parse(loadFile(path_1.join(ensureFolderExists(path), 'config.ini')));
exports.save = (data, path = exports.defaultPath) => fs_1.writeFileSync(path_1.join(ensureFolderExists(path), 'config.ini'), ini_1.stringify(data));
